Data Structures | Macros | Typedefs | Functions
example_detector_presence_multiple_configurations.c File Reference
`#include <stdbool.h>`
`#include <stdint.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include "acc_definitions_a121.h"`
`#include "acc_definitions_common.h"`
`#include "acc_detector_presence.h"`
`#include "acc_hal_definitions_a121.h"`
`#include "acc_hal_integration_a121.h"`
`#include "acc_integration.h"`
`#include "acc_rss_a121.h"`
`#include "acc_sensor.h"`
`#include "acc_version.h"`

Go to the source code of this file.

## Data Structures
struct | example_config

## Macros
#define | SENSOR_ID (1U)
#define | SENSOR_TIMEOUT_MS (1000U)
#define | NBR_CONFIGS (2U)
#define | NBR_ITERATIONS_PER_CONFIG (20U)

## Typedefs
typedef struct example_config | example_config_t

## Functions
static void | print_result (acc_detector_presence_result_t *result, const char *config_name)
static void | cleanup (acc_detector_presence_handle_t **presence_handle, acc_detector_presence_config_t **presence_config, acc_sensor_t *sensor, void *buffer, uint32_t nbr_configs)
int | acconeer_main (int argc, char *argv[])
| Assembly test example. More...

## Macro Definition Documentation

## ◆ NBR_CONFIGS

#define NBR_CONFIGS (2U)

Examples
  example_detector_presence_multiple_configurations.c.

Definition at line 45 of file example_detector_presence_multiple_configurations.c.

## ◆ NBR_ITERATIONS_PER_CONFIG

#define NBR_ITERATIONS_PER_CONFIG (20U)

Examples
  example_detector_presence_multiple_configurations.c.

Definition at line 46 of file example_detector_presence_multiple_configurations.c.

## ◆ SENSOR_ID

#define SENSOR_ID (1U)

Examples
  example_detector_presence_multiple_configurations.c.

Definition at line 43 of file example_detector_presence_multiple_configurations.c.

## ◆ SENSOR_TIMEOUT_MS

#define SENSOR_TIMEOUT_MS (1000U)

Examples
  example_detector_presence_multiple_configurations.c.

Definition at line 44 of file example_detector_presence_multiple_configurations.c.

## Typedef Documentation

## ◆ example_config_t

typedef struct example_config example_config_t

Examples
  example_detector_presence_multiple_configurations.c.

## Function Documentation

## ◆ acconeer_main()

int acconeer_main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Assembly test example.

Touchless button application.

Tank level reference application.

Smart presence reference application.

Parking application.

Breathing example application.

Waste level application.

Vibration example.

Surface velocity example application.

Service subsweeps example.

Service multple configurations example.

Low power service example.

Service sensor calibration caching example.

Service example.

Processing subtract adaptive background example.

Processing static presence example.

Processing peak interpolation example.

Processing noncoherent mean example.

Processing coherent mean example.

Processing amplitude example.

hand motion application

Detector presence example with multiple configurations.

Low power detector presence example.

Detector presence example.

Detector distance example with iq data print.

Distance detector low power example.

Detector distance with calibration caching example.

Detector distance example.

Control helper example.

Cargo application.

Returns
  Returns EXIT_SUCCESS if successful, otherwise EXIT_FAILURE

Detector filters and states are reset on prepare (reconfiguration) to avoid risk of false detections when switching back to a zone.

Detector filters and states are reset on prepare (reconfiguration) to avoid risk of false detections when switching back to a zone.

Examples
  example_detector_presence_multiple_configurations.c.

Definition at line 67 of file example_detector_presence_multiple_configurations.c.

## ◆ cleanup()

static void cleanup | ( | acc_detector_presence_handle_t ** | presence_handle,
|  | acc_detector_presence_config_t ** | presence_config,
|  | acc_sensor_t * | sensor,
|  | void * | buffer,
|  | uint32_t | nbr_configs
| ) |  |
| static

Examples
  example_detector_presence_multiple_configurations.c.

Definition at line 254 of file example_detector_presence_multiple_configurations.c.

## ◆ print_result()

static void print_result | ( | acc_detector_presence_result_t * | result,
|  | const char * | config_name
| ) |  |
| static

Examples
  example_detector_presence_multiple_configurations.c.

Definition at line 289 of file example_detector_presence_multiple_configurations.c.